<template>
    <div class="flex justify-center p-5">
        <div class="w-full max-w-xs">

            <form class="bg-white shadow-md rounded px-8 pt-6 pb-8 mb-4" @submit.prevent="login()">
                <div class="mb-4">
                    <label class="block text-gray-700 text-sm font-bold mb-2" for="email">
                        E-Mail
                    </label>
                    <input v-model="email" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline" id="email" type="text" placeholder="E-Mail">
                </div>
                <div class="mb-4">
                    <label class="block text-gray-700 text-sm font-bold mb-2" for="password">
                        Password
                    </label>
                    <input v-model="password" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 mb-3 leading-tight focus:outline-none focus:shadow-outline" id="password" type="password">
                </div>
                <div class="flex items-center justify-between">
                    <button class="bg-purple-500 hover:bg-purple-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline" type="submit">
                        <fa class="mr-2" icon="lock-open" />
                        Login
                    </button>
                </div>

                <div v-for="(e, key) in errors" class="mt-2 bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded relative" :key="key">
                    {{ e.message }}
                </div>
            </form>

            <p class="text-center text-gray-500 text-xs">
                &copy; Zephir Software Design AG
            </p>

        </div>
    </div>
</template>
<script>
export default {
    data() {
        return {
            email: null,
            password: null,
            errors: [],
        }
    },
    methods: {
        login () {
            this.errors = [];
            this.$auth.loginWith('local', {
                data: {
                    email: this.email,
                    password: this.password
                }
            }).then(response => {
                this.$router.push("/");
            }).catch(error => {
                this.errors = error.response.data;
            });
        }
    }
}
</script>
